## List of current devices:

### Standalone

```yaml
Gateway: 192.168.1.1
Pi4: 192.168.1.2
Srv: 192.168.1.3
```

### Kluster

> Kubernetes Cluster

A set of Orange PI 5, so far all of them are the 4GB of RAM version. 

```yaml
Masterk: 192.168.1.10
Slave01: 192.168.1.11
```

## Which services are running where.

> **Note**:
> `Depracated` doesn't mean that the service has obliterated, but that the service is no longer being run in that specific node/instance.

### Pi4 (main reverse proxy)

> Initially the Pi4 would only contain lightweight services, performing "core" functions on the network, as well of providing access to some very specific web services that wouldn't incur in much load (such as DNS, DHCP, Gitea, DuckDNS IP updater and `Tube` + `Traefik` as a main reverse proxy for the network).


#### Containers
- Traefik
- Gitea
- Portainer
- Registry

##### Home Network
- Coredns
- isc-dhcp

##### Misc

- DuckDNS
- [Steam_Invite_Discord](https://gitea.filterhome.xyz/ofilter/Steam_Invite_Discord)
- containrrr/watchtower

##### Depracated

### Srv (main media server)

> Initially the server would contain media services and some with higher load, like Minecraft and factorio servers. Right now this server is the designated media server provider, and as well contains other more generalized services, as currently in planning a migration to reorganize the infrastructure. 

#### Containers

- Traefik
- Portainer
- Jenkins
- containrrr/watchtower
- zcube/cadvisor

##### Media

- kizaing/kavita
- prologic/tube
- gotson/komga
- lscr.io/linuxserver/qbittorrent
- grafana
- lscr.io/linuxserver/jellyfin
- difegue/lanraragi
- filebrowser/filebrowser

##### Misc

- chesscorp/chess-club

##### Depracated

##### Notes

Traefik generates public certificates automatically 

> https://doc.traefik.io/traefik/https/acme/

#### Kluster

> Idk I can run whatever I want.
> 
> So far been a playground of Istio for me to create [an Istio documentation](https://gitea.filterhome.xyz/ofilter/Istio_Examples).

 
- Cilium
- Istio Service Mesh

##### Services

- 